Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
pdumodel::VoltageMonitoringSensor::Event Struct Reference

Definition of a voltage fluctuation event observed by this sensor. More...

`import <VoltageMonitoringSensor.idl;`

## Public Attributes
EventType | type
| Type of event.
time | timestamp
| Time of event occurrence.
int | duration
| Event duration in milliseconds.
double | voltage
| Voltage level observed during the event:
Waveform | waveform
| Waveform of event.

## Detailed Description

Definition of a voltage fluctuation event observed by this sensor.

Definition at line 36 of file VoltageMonitoringSensor.idl.

## Member Data Documentation

## ◆ duration

int pdumodel::VoltageMonitoringSensor::Event::duration

Event duration in milliseconds.

Definition at line 39 of file VoltageMonitoringSensor.idl.

## ◆ timestamp

time pdumodel::VoltageMonitoringSensor::Event::timestamp

Time of event occurrence.

Definition at line 38 of file VoltageMonitoringSensor.idl.

## ◆ type

EventType pdumodel::VoltageMonitoringSensor::Event::type

Type of event.

Definition at line 37 of file VoltageMonitoringSensor.idl.

## ◆ voltage

double pdumodel::VoltageMonitoringSensor::Event::voltage

Voltage level observed during the event:

- for dip events: lowest voltage observed
- for swell events: highest voltage observed

Definition at line 40 of file VoltageMonitoringSensor.idl.

## ◆ waveform

Waveform pdumodel::VoltageMonitoringSensor::Event::waveform

Waveform of event.

Definition at line 43 of file VoltageMonitoringSensor.idl.

The documentation for this struct was generated from the following file:

- VoltageMonitoringSensor.idl